"""Compute results for sets of portfolios or portfolio revisions"""

from .portfolio_result_computer import PortfolioResultComputer
from .revision_result_computer import RevisionResultComputer


def compute_portfolio_results(portfolios, start_date, end_date, risk_free_return):
    computer = PortfolioResultComputer(portfolios, start_date, end_date, risk_free_return)
    return computer.results


def compute_revision_results(revisions, start_date, end_date, risk_free_return):
    computer = RevisionResultComputer(revisions, start_date, end_date, risk_free_return)
    return computer.results
