"""Revision state for the revision result computer"""

from ..cumulative_standard_deviation import CumulativeStandardDeviation
from ..revision_state_base import RevisionStateBase

class RevisionState(
    CumulativeStandardDeviation,
    RevisionStateBase,
):
    """Revision state for the revision result computer"""

    @property
    def key(self):
        """By what to identify this revision in the result output"""

        return self._revision.pk
