"""Mixin for the common bits of revision related states."""

from functools import cached_property


class RevisionStateBase:
    """Mixin for the common bits of revision related states."""

    def __init__(self, revision):
        self._revision = revision

    @cached_property
    def start_date(self):
        return self._revision.date

    @cached_property
    def asset_weights(self):
        return [
            (asset.asset_id, asset.weight / 100.0)
            for asset in self._portfolioasset_weights
        ]

    @property
    def _portfolioasset_weights(self):
        return self._revision.portfolioasset_set.all()
