"""UvT app related tests"""

from json import loads as parse_json
from django.test import TestCase
from django.contrib.auth import get_user_model
from rest_framework.test import APIClient


class TestSession(TestCase):
    """Session view related tests"""

    fixtures = ['players']

    def test_username(self):
        """Test if we get the username in the response"""

        client = APIClient()

        user = get_user_model().objects.get(username='wsl')
        client.force_authenticate(user=user)
        response = parse_json(client.get('/session').content)
        self.assertEqual(response['user']['username'], 'wsl')
        self.assertTrue(response['user']['is_admin'])
